<template>
  <require from="./cockpit.css"></require>

  <section class="dash-wrapper">
    <div class="dash-header">
      <div class="dash-header-sub-info">
        <div class="tabs">
          <div click.delegate="onSelectTab(1)" class="tab tab-1 ${tabs.tab1 ? 'selected' : ''}" value.bind="tabs.tab1">
            <span class="tab-text">Jogos<span class="tab-info">(${partidas.length})</span></span>
          </div>
           <!--<div click.delegate="onSelectTab(2)" class="tab tab-2 ${tabs.tab2 ? 'selected' : ''}" value.bind="tabs.tab2">
            <span class="tab-text">Operações<span class="tab-info"></span></span>
          </div>
          <div click.delegate="onSelectTab(3)" class="tab tab-3 ${tabs.tab3 ? 'selected' : ''}"
            if.bind="isUserInRole('SUPER') || isUserInRole('MASTER')" value.bind="tabs.tab3">
            <span class="tab-text">Contas<span class="tab-info"></span></span>
          </div>
          <div click.delegate="onSelectTab(5)" class="tab tab-5 ${tabs.tab5 ? 'selected' : ''}" value.bind="tabs.tab5">
            <span class="tab-text">FAVORITOS<span class="tab-info"></span></span>
          </div>
          <div click.delegate="onSelectTab(4)" class="tab tab-4 ${tabs.tab4 ? 'selected' : ''}" value.bind="tabs.tab4">
            <span class="tab-text">AJUDA<span class="tab-info"></span></span>
          </div>
          <div show.bind="isUserInRole('SUPER')" click.delegate="onSelectTab(4)" class="tab tab-4 ${tabs.tab4 ? 'selected' : ''}" value.bind="tabs.tab4">
            <span class="tab-text">Configurações</span>
          </div> -->

        </div>
      </div>
    </div>
    <div class="tab-area area0-wrapper ${tabs.tab1 ? 'd-flex' : 'd-none'}">
      <div class="tbl-header table-responsive" id="match-table">
        <table cellpadding="0" cellspacing="0" class="table">
          <thead>
            <tr>
              <th class="header-search">
                <div class="input-group input-group-sm ">
                  <input keyup.delegate="doSearch($event)" type="text"
                    class="input-pesquisa-time form-control input-search-match" value.bind="time"
                    aria-label="Sizing example input" aria-describedby="inputGroup-sizing-sm"
                    placeholder="Buscar por jogo">
                </div>
              </th>
              <th class="col-wsm">
                <i class="fa-solid fa-hourglass-empty fa-header-custom current-time"></i>
              </th>
              <!-- <th class="col-wsm">
                <i class="fa-solid fa-arrow-right-arrow-left fa-header-custom"></i>
              </th> -->
              <!-- <th class="col-wsm">
                <i class="fa-solid fa-futbol fa-header-custom"></i>
              </th> -->
              <th class="col-wsm" if.bind="isUserInRole('SUPER') || isUserInRole('OPERADOR') || isUserInRole('MASTER')">
                <i class="fa-brands fa-telegram fa-header-custom"></i>
              </th>
              <th class="info-add">
                <span>No gol</span>
              </th>
              <th class="info-add">
                <span>P Fora</span>
              </th>
              <th class="info-add">
                <span>Ataque P.</span>
              </th>
              <th class="info-add">
                <span>Ataque</span>
              </th>
              <th class="info-add">
                <span>Esc</span>
              </th>
              <th class="info-add">
                <span>Posse</span>
              </th>
              <th class="info-add">
                <span>Gols</span>
                <select class="form-select form-select-sm" aria-label="Lista de gols" value.bind="totalGolsSelecionado"
                  change.delegate="aplicarFiltroOver()">
                  <option repeat.for="g of listaGols" model.bind="g">
                    ${g}
                  </option>
                </select>
              </th>
              <!-- <th class="info-add">
                <span>Under</span>
              </th> -->
            </tr>
          </thead>
          <tbody id="table-body">
            <tr show.bind="p.visivel" repeat.for="p of partidas" class="${ selectedRow === p.id ? 'tr-selected' : ''}"
              click.delegate="onHighLightRow(p)">
              <td class="match-info espaco-tabela-partida">
                <div class="d-flex flex-column align-items-center">
                  <div class="country-league" show.bind="p.pais || p.liga">
                    <span class="country-info"
                      title.bind="isUserInRole('MASTER') || isUserInRole('SUPER') ?p.idPais:''">${p.pais}
                      <!-- <input type="text" if.bind="onEditing" class="form-control tamanho-liga" aria-label="First name" value.bind="p.nomePais"> -->
                    </span>
                    <span class="hifen-info"> - </span>
                    <span class="league-info"
                      title.bind="isUserInRole('MASTER') || isUserInRole('SUPER')? p.idLiga:''">${p.liga}
                      <INPUT TYPE="TEXT" IF.BIND="ONEDITING" CLASS="FORM-CONTROL TAMANHO-LIGA" ARIA-LABEL="FIRST NAME"
                        VALUE.BIND="P.NOMELIGA">
                    </span>
                  </div>
                  <div class="club-score-club">
                    <div class="match-player">
                      <div class="col-players match-player-1" >
                        <span title.bind="isUserInRole('MASTER') || isUserInRole('SUPER') ? p.id:''"
                          class="match-player-home time-casa pointer"  
                          >
                          <div style="display:flex;flex-direction: row;justify-content: end;margin-right: 7px;">
                            <div show.bind="p.cartaoAmareloCasa > 0" class="cartao-amarelo">
                              ${p.cartaoAmareloCasa}</div>
                            <div show.bind="p.cartaoVermelhoCasa > 0" class="cartao-vermelho">
                              ${p.cartaoVermelhoCasa}</div>
                          </div>
                          <span click.delegate="abrirDetalhesPartida(p)" > ${p.casa.nome}</span> <span show.bind="isUserInRole('MASTER') || isUserInRole('SUPER')">  </span>
                          <input if.bind="isUserInRole('SUPER') && onEditing" type="button" value="REMOVER"
                            click.delegate="confirmarRemoverPartida(p)" /> &nbsp;
                          <input if.bind="isUserInRole('SUPER') && onEditing" type="button" value="ENCERRAR"
                            click.delegate="confirmarEncerrarPartida(p)" />  &nbsp;
                          <input type="text" if.bind="onEditing" class="form-control " aria-label="First name"
                            value.bind="p.nomeCasaOriginal">
                            <span if.bind="onEditing">ScoreBing </span><input type="text" if.bind="onEditing" class="form-control" aria-label="First name"
                            value.bind="p.idScoreBingCasa">
                            <span if.bind="onEditing">RoboTip </span><input type="text" if.bind="onEditing" class="form-control" aria-label="First name"
                            value.bind="p.rTipCasa">
                        </span>
                      </div>
                    </div>
                    <div class="match-scoreboard" data-wenk="👉 Ir para Bet365" click.delegate="abrirPartida(p)">
                      <span class.bind="p.cssEntrada">
                        ${p.golsCasa}-${p.golsVisitante}
                      </span>
                    </div>
                    <div class="match-player pointer" >
                      <div class="col-players match-player-2">
                        <span class="match-player-visitant time-visitante " >
                          <input if.bind="onEditing" type="button" value="ATUALIZAR" click.delegate="salvarScorebing(p)" />
                          <div style="display:flex;flex-direction: row;" >
                            <div show.bind="p.cartaoAmareloVisitante > 0" class="cartao-amarelo">
                              ${p.cartaoAmareloVisitante}</div>
                            <div show.bind="p.cartaoVermelhoVisitante > 0" class="cartao-vermelho">
                              ${p.cartaoVermelhoVisitante}</div>
                          </div> <span click.delegate="abrirDetalhesPartida(p)" >${p.visitante.nome}</span> <span show.bind="isUserInRole('MASTER') || isUserInRole('SUPER')"> 
                            <input type="text" if.bind="onEditing" class="form-control" aria-label="First name"
                              value.bind="p.nomeVisitanteOriginal">
                            <span if.bind="onEditing">ScoreBing </span> <input type="text" if.bind="onEditing" class="form-control" aria-label="First name"
                              value.bind="p.idScoreBingVisitante">
                              <span if.bind="onEditing">RoboTip </span><input type="text" if.bind="onEditing" class="form-control" aria-label="First name"
                            value.bind="p.rTipVisitante">
                          </span>
                      </div>
                    </div>
                  </div>
                </div>
              </td>
              <td click.delegate="abrirBet365(p)" data-wenk="👉 Tempo de jogo"
                class="current-time current-time-bold col-wsm">
                ${getTempo(p.tempo)}
                <span show.bind="p.tempo != null && p.tempo !='FIM'" class="blink_me">' </span>
                <span if.bind="p.acrescimo > 0 && p.tempo != null && p.tempo !='FIM'" style="font-size: 14px;"> +
                  ${p.acrescimo}</span>
              </td>
              <!-- <td class="col-wsm pressure-flags-col">
                <pressure-flag
                  home.bind="(p.indicePressaoCasa > 1 && p.indicePressaoCasa <= 10) || p.indicePressaoCasa >= 40 "
                  homeon.bind="p.indicePressaoCasa >= 40"
                  away.bind="(p.indicePressaoVisitante >1 && p.indicePressaoVisitante <= 10) || p.indicePressaoVisitante >= 40 "
                  awayon.bind="p.indicePressaoVisitante >=40" containerless>
                </pressure-flag>
              </td> -->
              <!-- <td class="col-wsm">
                <a class="cursor-pointer" data-wenk="👉 Realizar entrada" click.delegate="onOpenOdds(p)">
                  <i class="fa-solid fa-futbol" style="font-size: 1rem;"></i>
                </a>
              </td> -->
              <td data-wenk="👉 Enviar tip" class="col-wsm"
                if.bind="isUserInRole('SUPER') || isUserInRole('OPERADOR') || isUserInRole('MASTER')">
                <i click.delegate="abrirEnvioTelegram(p)" class="fa-brands fa-telegram"
                  style="color: #77b6dcd9; cursor: pointer;"></i>
              </td>
              <td class="info-add">
                <div class="d-flex flex-column align-items-center p-1" style="min-width: max-content;">
                  <span style="min-width: max-content;">${p.chuteGolCasa} - ${p.chuteGolVisitante}</span>
                  <!-- span style="min-width: max-content;">${p.plus.hso} - ${p.plus.gso}</span -->
                  <progress show.bind="itMustBeShown('nogol', p, 'plus')"
                    value.bind="onSetProgressVolume('nogol', p, 'plus')" max="100">
                  </progress>
                  <progress class="progress-empty" show.bind="!itMustBeShown('nogol', p, 'plus')"
                    value="0" max="100">
                  </progress>
                </div>
              </td>
              <td class="info-add">
                <div class="d-flex flex-column align-items-center p-1" style="min-width: max-content;">
                  <!-- span style="min-width: max-content;">${p.plus.hsf} - ${p.plus.gsf}</span -->
                  <span style="min-width: max-content;">${p.chuteForaCasa} - ${p.chuteForaVisitante}</span>
                  <progress show.bind="itMustBeShown('pfora', p, 'plus')"
                    value.bind="onSetProgressVolume('pfora', p, 'plus')" max="100">
                  </progress>
                  <progress class="progress-empty" show.bind="!itMustBeShown('pfora', p, 'plus')"
                    value="0" max="100">
                  </progress>
                </div>
              </td>
              <td class="info-add">
                <div class="d-flex flex-column align-items-center p-1" style="min-width: max-content;">
                  <!-- span style="min-width: max-content;">${p.plus.hd} - ${p.plus.gd}</span -->
                  <span style="min-width: max-content;">${p.ataquePerigosoCasa} - ${p.ataquePerigosoVisitante}</span>
                  
                  <progress show.bind="itMustBeShown('ataquep', p, 'plus')"
                    value.bind="onSetProgressVolume('ataquep', p, 'plus')" max="100">
                  </progress>
                  <progress class="progress-empty" show.bind="!itMustBeShown('ataquep', p, 'plus')"
                    value="0" max="100">
                  </progress>
                </div>
              </td>
              <td class="info-add">
                <div class="d-flex flex-column align-items-center p-1" style="min-width: max-content;">
                  <!-- span style="min-width: max-content;">${p.plus.ha} - ${p.plus.ga}</span -->
                  <span style="min-width: max-content;">${p.ataqueCasa} - ${p.ataqueVisitante}</span>
                  
                  <progress show.bind="itMustBeShown('ataque', p, 'plus')"
                    value.bind="onSetProgressVolume('ataque', p, 'plus')" max="100">
                  </progress>
                  <progress class="progress-empty" show.bind="!itMustBeShown('ataque', p, 'plus')"
                    value="0" max="100">
                  </progress>
                </div>
              </td>
              <td class="info-add">
                <div class="d-flex flex-column align-items-center p-1" style="min-width: max-content;">
                  <!-- span style="min-width: max-content;">${p.rd.hc} - ${p.rd.gc}</span-->
                  <span style="min-width: max-content;">${p.escanteioCasa} - ${p.escanteioVisitante}</span>
                  <progress show.bind="itMustBeShown('esc', p, 'rd')"
                    value.bind="onSetProgressVolume('esc', p, 'rd')" max="100">
                  </progress>
                  <progress class="progress-empty" show.bind="!itMustBeShown('esc', p, 'rd')" max="100">
                  </progress>
                </div>
              </td>
              <td class="info-add">
                <div class="d-flex flex-column align-items-center p-1" style="min-width: max-content;">
                  <!-- span style="min-width: max-content;">${p.plus.hqq} - ${p.plus.gqq}</span -->
                  <span style="min-width: max-content;">${p.posseCasa} - ${p.posseVisitante}</span>
                  
                  <progress show.bind="itMustBeShown('posse', p, 'plus')"
                    value.bind="onSetProgressVolume('posse', p, 'plus')" max="100">
                  </progress>
                  <progress class="progress-empty" show.bind="!itMustBeShown('posse', p, 'plus')"
                    value="0" max="100">
                  </progress>
                </div>
              </td>
              <td data-wenk-pos="left" data-wenk="👉 Média de gols da partida"
                class.bind="getCssColunaGol(p.golsInicial)">
                <span>${p.golsInicial}</span>
              </td>
              <!-- <td class="info-add" data-wenk-pos="left" data-wenk="👉 Média para Under">
                <span>${p.media == -1 ? '-': p.media}</span>
              </td> -->
            </tr>
          </tbody>
        </table>
      </div>
      <div class="actions-area">
        <div class="order-by">
          <span class="order-by-title">VISÃO </span>
          <select class="form-select form-select-sm" aria-label="Ordenar por" matcher.bind="selectMatcher"
            value.bind="ordenacaoSelecionada" change.delegate="ordernarPartidas()">
            <option repeat.for="o of ordenacao" model.bind="o">
              ${o.name}
            </option>
          </select>
          <button show.bind="onEditing && isUserInRole('SUPER')" type="button" class="btn btn-warning btn-sm mx-1"
            click.delegate="onEditData()">
            Cancelar
          </button>
          <button show.bind="isUserInRole('SUPER')" type="button" class="btn btn-light btn-sm mx-1"
            click.delegate="onEditData()">
            Atualizar
          </button>
        </div>
      </div>
    </div>
    <!-- <div class="tab-area area1-wrapper ${tabs.tab2 ? 'd-flex' : 'd-none'}">
      <lucro-diario containerless></lucro-diario>
    </div> -->
    <!-- <div class="tab-area area2-wrapper ${tabs.tab3 ? 'd-flex' : 'd-none'}">
      <contas containerless></contas>
    </div> -->
    <div class="tab-area area3-wrapper ${tabs.tab5 ? 'd-flex' : 'd-none'}">
      <favorito containerless></favorito>
    </div>
    <!-- <div class="tab-area area3-wrapper ${tabs.tab4 ? 'd-flex' : 'd-none'}">
      <ajuda containerless></ajuda>
    </div> -->

  </section>

  <div class="modal fade" id="modal-example" tabindex="-1" aria-labelledby="modal-exampleLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body" id="modal-odds">
          <div class="modal-odds-content">
            <div class="odds-panel">
              <ul class="list-group list-group-flush">
                <li class="list-group-item" repeat.for="option of oddsOptions" show.bind="option.show">
                  <div class="option-bets">
                    <!-- UNDER -->
                    <button class="btn odds-odds odds-under" click.delegate="onChooseOdds(option.control, '-', $event)">
                      <i class="fa-solid fa-angle-down"></i>
                    </button>
                    <span>${option.title} gols</span>
                    <!-- OVER -->
                    <button class="btn odds-odds odds-over" click.delegate="onChooseOdds(option.control, '+', $event)">
                      <i class="fa-solid fa-angle-up"></i>
                    </button>
                  </div>
                </li>
              </ul>
              <div class="odds-accounts odds-accounts-userrole"
                if.bind="isUserInRole('COCKPIT') || isUserInRole('OPERADOR')">
                <div class="card-accounts card" id="container-entrada">
                  <div class="card-accounts-title">
                    <span>${partida.titulo} </span>
                    <h3 style="color:white!important">PLACAR ${partida.golsCasa} x ${partida.golsVisitante}</h3>
                  </div>
                  <div class="card-accounts-content card-body">
                    <span class="content-title">${selecao}</span>
                    <div class="content-data">
                      <div class="content">
                        <span>ODD:</span>
                        <span>${odd}</span>
                      </div>
                      <div class="content">
                        <span>SALDO:</span>
                        <span>${saldoConta}</span>
                      </div>
                      <div class="content">
                        <span>Entrada:</span>
                        <span>${valorEntrada}</span>
                      </div>
                      <div class="content">
                        <span>Lucro:</span>
                        <span style="color:green">${lucroEntrada}</span>
                      </div>
                    </div>
                    <form class="row">
                      <div class="col-sm-12 col-md-4">
                        <label for="inputValorOdd" class="form-label">% de Entrada</label>
                        <input type="number" min="1" keyup.delegate="setarValorEntradaCockpit()"
                          change.delegate="setarValorEntradaCockpit()" value.bind="user.percEntrada" id="inputValorOdd"
                          class="form-control py-1 input-odd-val mx-auto" placeholder="%">
                      </div>
                      <div
                        class="modal-odds-actions-user align-items-end col-md-8 col-sm-12 d-flex justify-content-around"
                        id="container-botao">
                        <button id="btnFecharEntrada" click.delegate="fecharModalEntrada()" type="button"
                          class="btn btn-warning" data-bs-dismiss="modal" id="btn-odds-close">Fechar</button>
                        <button type="button" class="btn btn-primary btn-succeed"
                          click.delegate="realizarEntrada()">Confirmar</button>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
            </div>
            <div class="odds-accounts" if.bind="isUserInRole('MASTER') || isUserInRole('SUPER')">
              <div class="card-accounts card">
                <div class="card-accounts-title">
                  <span>${partida.titulo}</span>
                  <h3 style="color:white!important">PLACAR ${partida.golsCasa} x ${partida.golsVisitante}</h3>
                </div>
                <div class="card-accounts-content justify-content-evenly card-body" id="body-copy-odds">
                  <div class="card-accounts-header">
                    <div class="card-messages" show.bind="operador=='-'">
                      <span class="mercado-msg mercado-selecionado-under"> ${selecao} </span>
                    </div>
                    <div class="card-messages" show.bind="operador=='+'">
                      <span class="mercado-msg mercado-selecionado-over"> ${selecao} </span>
                    </div>
                    <div class="card-messages" show.bind="mensagem.length > 0">
                      <span class="mercado-msg mercado-selecionado"> ${mensagem} </span>
                    </div>
                    <div class="card-body card-accounts-inputs pb-0">
                      <div class="row d-flex align-items-end">
                        <div class="col-sm-12 col-md-6 justify-content-center text-center px-1 header-search mb-2">
                          <div class="input-group input-group-sm d-flex justify-content-center">
                            <input keyup.delegate="doSearch($event)" type="text"
                              class="input-pesquisa-time form-control input-search-match" value.bind="time"
                              aria-label="Sizing example input" aria-describedby="inputGroup-sizing-sm"
                              placeholder="Buscar cliente....">
                          </div>
                        </div>
                        <div class="col-sm-6 col-md-3 justify-content-center text-center px-1 mb-2">
                          <label for="inputValorOdd" class="form-label">Valor da Odd</label>
                          <input type="text" readonly value.bind="odd" id="inputValorOdd"
                            class="form-control py-1 input-odd-val  mx-auto" placeholder="Odd">
                        </div>
                        <div class="col-sm-6 col-md-3 justify-content-center text-center px-1 mb-2">
                          <label for="inputValorOdd" class="form-label">% de Entrada</label>
                          <input type="number" min="1" keyup.delegate="setarValorEntrada()"
                            change.delegate="setarValorEntrada()" value.bind="user.percEntrada" id="inputValorOdd"
                            class="form-control py-1 input-odd-val mx-auto" placeholder="%">
                        </div>
                      </div>
                      <div class="row mt-2">
                        <div class="col-12 px-2">
                          <div class="form-check">
                            <input type="checkbox" class="form-check-input" id="checkTodos" checked.bind="selectAll"
                              change.delegate="onToggleCheckAccounts()">
                            <label class="form-check-label" for="checkTodos">Marcar/Desmarcar todos</label>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="search-account-results table-responsive">

                    <table class="table">
                      <tbody>
                        <tr repeat.for="p of contasCopy">
                          <td>
                            <input class="form-check-input" type="checkbox" checked.bind="p.selecionado" model.bind="p">
                            <span class="name">${p.nome}</span>
                          </td>
                          <td>
                            <span class="amount d-flex justify-content-between align-items-center">R$ ${p.saldo}
                              <i class="fa-solid fa-circle-check text-success" show.bind="p.entradaRealizada"></i>
                            </span>
                          </td>
                          <td>
                            <span class="perc-currency">R$ ${ p.percVal ? p.percVal : '0,00' }</span>
                          </td>
                          <td>
                            <div class="input-group">
                              <input change.delegate="onSetCurrencyValue(p)" keyup.delegate="onSetCurrencyValue(p)"
                                type="number" value.bind="p.porcentagem"
                                class="form-control form-control-sm percent py-0" disabled.bind="!p.selecionado"
                                aria-label="Dollar amount (with dot and two decimal places)" max="100" min="0">
                              <div class="input-group-append">
                                <span class="input-group-text p-1 bg-transparent border-0">%</span>
                              </div>
                            </div>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <div class="modal-odds-actions-new" id="container-botao">
                    <button click.delegate="fecharCopy()" type="button" class="btn btn-warning" data-bs-dismiss="modal"
                      id="btn-odds-close-copy">Fechar</button>
                    <button show.bind="login.entradaCompacta" type="button" class="btn btn-primary btn-succeed"
                      click.delegate="doCopyAll()">Confirmar</button>
                    <button show.bind="!login.entradaCompacta" type="button" class="btn btn-primary btn-succeed"
                      click.delegate="doCopy()">Confirmar</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal fade" id="modal-telegram" tabindex="-1" aria-labelledby="modal-exampleLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg}">
      <div class="modal-content">
        <div class="modal-header pt-2 pb-1 px-3">
          <h4 class="modal-title" id="modalNewAccountLabel">Envio de alerta</h4>
          <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body row">
          <div class="px-0 col-sm-12 col-md-7}">
            <h3 class="w-100 text-center mb-2">${partidaTelegram.partida.titulo}</h3>
            <h5 class="w-100 text-center mb-2">PLACAR ${partidaSelecionada.golsCasa} X
              ${partidaSelecionada.golsVisitante} </h5>
            <div class="content-body">
              <h6 class="w-100 text-center mb-2">TELEGRAM TIPS</h6>

              <label repeat.for="opcao of opcoesTelegram">
                <input type="checkbox" model.bind="opcao" checked.bind="gruposTelegramSelecionado">
                ${opcao.nome}
              </label>
              
              <!-- <label>
                <input type="checkbox" data-wenk="👉 Ao ser marcada, o Cockpit irá sinalizar a tip"
                      model.bind="avisarTipCockpit" checked.bind="avisarTipCockpit">
                Avisar Cockpit
              </label> -->

            </div>
            <HR>
            </HR>
            <h6 class="w-100 text-center mb-2">MERCADOS</h6>
            <div class="content-body" if.bind="mostrarPrimeiroTempo">
              <span class="content-title">1° TEMPO - UNDER</span>
              <div class="content-checks">
                <div class="form-check" show.bind="v.under && v.show && v.ht" repeat.for="v of opcaoMercado">
                  <input class="form-check-input" type="radio" name="operacao" model.bind="v"
                    checked.bind="opcaoTelegramSelecionadaUnderHT" click.delegate="clickSinalUnder()">
                  <label class="form-check-label" for="flexRadioDefault1">
                    ${v.title}
                  </label>
                </div>
              </div>
            </div>

            <div class="content-body" if.bind="mostrarPrimeiroTempo">
              <span class="content-title">1° TEMPO - OVER</span>
              <div class="content-checks">
                <div class="form-check" show.bind="!v.under && v.show && v.ht" repeat.for="v of opcaoMercado">
                  <input class="form-check-input" type="radio" name="operacao" model.bind="v"
                    checked.bind="opcaoTelegramSelecionadaOverHT" click.delegate="clickSinalOverHT()">
                  <label class="form-check-label" for="flexRadioDefault1">
                    ${v.title}
                  </label>
                </div>
              </div>
            </div>

            <div class="content-body">
              <span class="content-title">FULL TIME - UNDER</span>
              <div class="content-checks">
                <div class="form-check" show.bind="v.under && v.show && !v.ht " repeat.for="v of opcaoMercado">
                  <input class="form-check-input" type="radio" name="operacao" model.bind="v"
                    checked.bind="opcaoTelegramSelecionadaUnder" click.delegate="clickSinalUnderHT()">
                  <label class="form-check-label" for="flexRadioDefault1">
                    ${v.title}
                  </label>
                </div>
              </div>
            </div>
            <div class="content-body">
              <span class="content-title">FULL TIME - OVER</span>
              <div class="content-checks">
                <div class="form-check" show.bind="!v.under && v.show && !v.ht" repeat.for="v of opcaoMercado">
                  <input class="form-check-input" type="radio" name="operacao" model.bind="v"
                    checked.bind="opcaoTelegramSelecionadaOver" click.delegate="clickSinalOver()">
                  <label class="form-check-label" for="flexRadioDefault1">
                    ${v.title}
                  </label>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer p-0">
          <button id="btnFecharModalTelegram" type="button" class="btn btn-secondary" data-bs-dismiss="modal"
            id="btn-odds-close">Cancelar</button>
          <button type="button" class="btn btn-primary" click.delegate="confirmarEnvioTelegram()">Enviar</button>
        </div>
      </div>
    </div>
  </div>


  <div class="modal fade" id="modal-detalhes-partida" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="modalNewAccountLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-xl">
      <div class="modal-content" id="body-modal-conta">
        <div class="modal-header pt-2 pb-1 px-3">
          <h4 class="modal-title" id="modalNewAccountLabel">${partidaSelecionada.casa} x
            ${partidaSelecionada.visitante}  </h4>
          <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body row py-2 px-3">
          <div class="col-sm-6 col-md-6border-end content-left">
            <h3 class="text-center">Últimos confrontos</h3>
            <div class="container-confronto-status">
                <div class="titulo-detalhe"> 
                  ${partidaSelecionada.casa}
                </div>
                <div class="titulo-detalhe">
                  Empate 
                </div> 
                <div class="titulo-detalhe">
                  ${partidaSelecionada.visitante}                  
                </div>
            </div>
            <div class="container-confronto-status">
              <div class="detalhe-time-vencedor"> 
               ${vitoriasCasa} %
              </div>
              <div class="detalhe-empate">
                ${empates} %
              </div>
              <div class="detalhe-time-perdedor" >
                ${vitoriasVisitante} %
              </div>
          </div>
            <div class="container-confronto">
              <div class.bind="getCssRowConfronto($index)" repeat.for="confronto of partidaSelecionada.confrontos">
                <div style="width:25%">
                  ${confronto.Data}
                </div>
                <div class.bind="confronto.cssCasa" style="width:25%"> 
                  ${confronto.nome_time_1_betsapi}
                </div>
                <div style="width:25%">
                  ${confronto.goals_home} x ${confronto.goals_away}
                </div> 
                <div class.bind="confronto.cssVisitante" style="width:25%">
                  ${confronto.nome_time_2_betsapi}
                </div>
              </div>
            </div>
          </div>
          <div class="col-sm-6 col-md-6border-end content-left">
              <h4 class="text-center">Chances OVER </h4>
              <div class="container-confronto-overs">
                <div class="item-over" repeat.for="confronto of listaOvers">
                  ${confronto.mercado} : ${confronto.value}%
                </div>
              </div>
  
              <h4 class="text-center">Chances OVER HT</h4>
              <div class="container-confronto-overs">
                <div class="item-over" repeat.for="confronto of listaOversHt">
                  ${confronto.mercado} : ${confronto.value}%
                </div>
              </div> 
  
              <h4 class="text-center">Chances UNDER </h4>
              <div class="container-confronto-under">
                <div class="item-under" repeat.for="confronto of listaUnders">
                  ${confronto.mercado} : ${confronto.value}%
                </div> 
              </div>
  
              <h4 class="text-center">Chances UNDER HT </h4>
              <div class="container-confronto-under">
                <div class="item-under"  repeat.for="confronto of listaUndersHt">
                  ${confronto.mercado} : ${confronto.value}%
                </div>
              </div> 
          </div>
        </div>
        <div class="modal-footer p-0">
          <button id="btnCloseModaAccount" type="button" class="btn btn-secondary"
            data-bs-dismiss="modal">Fechar</button>
        </div>
      </div>
    </div>
  </div>

</template>